/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const COPY = i18n.translate('xpack.timelines.clipboard.copy', {
  defaultMessage: 'Copy',
});

export const COPIED = i18n.translate('xpack.timelines.clipboard.copied', {
  defaultMessage: 'Copied',
});

export const TO_THE_CLIPBOARD = i18n.translate('xpack.timelines.clipboard.to.the.clipboard', {
  defaultMessage: 'to the clipboard',
});

export const COPY_TO_THE_CLIPBOARD = i18n.translate(
  'xpack.timelines.clipboard.copy.to.the.clipboard',
  {
    defaultMessage: 'Copy to the clipboard',
  }
);

export const SUCCESS_TOAST_TITLE = (field: string) =>
  i18n.translate('xpack.timelines.clipboard.copy.successToastTitle', {
    values: { field },
    defaultMessage: 'Copied field {field} to the clipboard',
  });
